import request from "@/api/request.js";

// 全政府-获取美国政府部门制裁数据
/**
 * @header token
 *  * @param {String} params.monthNum // 月份数
 */
export function getAllGovernmentList(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/governmentSanctionsData`,
    params
  })
}


// 全政府-获取美对华制裁措施数量趋势
/**
 * @header token
 * @param {Object} params
 * @param {String} params.field // 领域
 * @param {String} params.monthNum // 月份数
 * @param {String} params.orgId // 机构ID
 * @param {String} params.sanType // 制裁手段
 */
export function getUSChinaSanctionTrend(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/sanctionsQuantitativeTrend`,
    params
  })
}

// 全政府-美政府部门打压遏制最新动态
/**
 * @header token
 */
export function getUSGovernmentLatestDynamic() {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/governmentSanctionsDynamics`
  })
}

// 全政府-美政府部门联合制裁排行
/**
 * @header token
 */
export function getUSGovernmentJointSanctionRank() {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/governmentJointSanctionsRanking`
  })
}


// 全政府-美政府部门对我打压遏制时间线
/**
 * @header token
 * @param {Object} params
 * @param {String} params.startDate // 开始日期
 * @param {String} params.endDate // 截止日期
 * @param {Boolean} params.onlyHistory // 是否仅历史举措
 * @param {Boolean} params.onlyFuture // 是否仅未来举措
 * @param {String} params.field // 领域ID
 */
export function getUSGovernmentSanctionHistory(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/getSanctionProcess`,
    params
  })
}


// 全政府-获取部门数据
/**
 * @header token
 */
export function getDepartmentList(params) {
  return request({
    method: 'GET',
    url: `/api/organization/summaryDepartList`,
    params
  })
}

// 全政府-获取制裁手段数据
/**
 * @params {orgId}
 */
export function getSanTypeList(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/sanTypeList`,
    params
  })
}

// 全政府-获取未来三个月内的打压遏制时间线
/**
 * @params {field}
 */
export function getThreeMonthSanctionProcess(params) {
  return request({
    method: 'GET',
    url: `/api/rivalryIndex/nextThreeMonthSanctionProcess`,
    params
  })
}